Ruby: unz_file_info64_s Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
unz_file_info64_s Struct Reference

`#include <unzip.h>`

## Data Fields
uLong | version
uLong | version_needed
uLong | flag
uLong | compression_method
uLong | dosDate
uLong | crc
ZPOS64_T | compressed_size
ZPOS64_T | uncompressed_size
uLong | size_filename
uLong | size_file_extra
uLong | size_file_comment
uLong | disk_num_start
uLong | internal_fa
uLong | external_fa
tm_unz | tmu_date

## Detailed Description

Definition at line 111 of file unzip.h.

## Field Documentation

## ◆ compressed_size

ZPOS64_T unz_file_info64_s::compressed_size

Definition at line 119 of file unzip.h.

Referenced by unz64local_CheckCurrentFileCoherencyHeader(), unz64local_GetCurrentFileInfoInternal(), unzGetCurrentFileInfo(), and unzOpenCurrentFile3().

## ◆ compression_method

uLong unz_file_info64_s::compression_method

Definition at line 116 of file unzip.h.

Referenced by unz64local_CheckCurrentFileCoherencyHeader(), unz64local_GetCurrentFileInfoInternal(), unzGetCurrentFileInfo(), and unzOpenCurrentFile3().

## ◆ crc

uLong unz_file_info64_s::crc

Definition at line 118 of file unzip.h.

Referenced by unz64local_CheckCurrentFileCoherencyHeader(), unz64local_GetCurrentFileInfoInternal(), unzGetCurrentFileInfo(), and unzOpenCurrentFile3().

## ◆ disk_num_start

uLong unz_file_info64_s::disk_num_start

Definition at line 125 of file unzip.h.

Referenced by unz64local_GetCurrentFileInfoInternal(), and unzGetCurrentFileInfo().

## ◆ dosDate

uLong unz_file_info64_s::dosDate

Definition at line 117 of file unzip.h.

Referenced by unz64local_GetCurrentFileInfoInternal(), and unzGetCurrentFileInfo().

## ◆ external_fa

uLong unz_file_info64_s::external_fa

Definition at line 127 of file unzip.h.

Referenced by unz64local_GetCurrentFileInfoInternal(), and unzGetCurrentFileInfo().

## ◆ flag

uLong unz_file_info64_s::flag

Definition at line 115 of file unzip.h.

Referenced by unz64local_GetCurrentFileInfoInternal(), unzGetCurrentFileInfo(), and unzOpenCurrentFile3().

## ◆ internal_fa

uLong unz_file_info64_s::internal_fa

Definition at line 126 of file unzip.h.

Referenced by unz64local_GetCurrentFileInfoInternal(), and unzGetCurrentFileInfo().

## ◆ size_file_comment

uLong unz_file_info64_s::size_file_comment

Definition at line 123 of file unzip.h.

Referenced by unz64local_GetCurrentFileInfoInternal(), unzGetCurrentFileInfo(), and unzGoToNextFile().

## ◆ size_file_extra

uLong unz_file_info64_s::size_file_extra

Definition at line 122 of file unzip.h.

Referenced by unz64local_GetCurrentFileInfoInternal(), unzGetCurrentFileInfo(), and unzGoToNextFile().

## ◆ size_filename

uLong unz_file_info64_s::size_filename

Definition at line 121 of file unzip.h.

Referenced by unz64local_CheckCurrentFileCoherencyHeader(), unz64local_GetCurrentFileInfoInternal(), unzGetCurrentFileInfo(), and unzGoToNextFile().

## ◆ tmu_date

tm_unz unz_file_info64_s::tmu_date

Definition at line 129 of file unzip.h.

Referenced by unz64local_GetCurrentFileInfoInternal(), and unzGetCurrentFileInfo().

## ◆ uncompressed_size

ZPOS64_T unz_file_info64_s::uncompressed_size

Definition at line 120 of file unzip.h.

Referenced by unz64local_CheckCurrentFileCoherencyHeader(), unz64local_GetCurrentFileInfoInternal(), unzGetCurrentFileInfo(), and unzOpenCurrentFile3().

## ◆ version

uLong unz_file_info64_s::version

Definition at line 113 of file unzip.h.

Referenced by unz64local_GetCurrentFileInfoInternal(), and unzGetCurrentFileInfo().

## ◆ version_needed

uLong unz_file_info64_s::version_needed

Definition at line 114 of file unzip.h.

Referenced by unz64local_GetCurrentFileInfoInternal(), and unzGetCurrentFileInfo().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/contrib/minizip/unzip.h